LinuxQMISDK: ssdatasession_params Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
ssdatasession_params Struct Reference

## Data Fields
BOOL | action
BYTE | instanceId
ULONG * | pTechnology
ULONG * | pProfileId3GPP
ULONG * | pProfileId3GPP2
ULONG | sessionId
ULONG | failureReason
ULONG | failureReasonv4
ULONG | failureReasonv6
ULONG | rcv4
ULONG | rcv6
ULONG | v4sessionId
ULONG | v6sessionId
BYTE | ipfamily
ULONG * | pAuthentication
CHAR * | pUsername
CHAR * | pPassword
ULONG | verbFailReasonType
ULONG | verbFailReason

## Detailed Description

This structure contains the start/stop data session params Information

Parameters

  action | 1 - Start Session 0 - Stop Session
  pTechnology | Indicates the technology preference (optional) 1 - UMTS 2 - CDMA 3 - eMBMS 4 - Modem Link Label. Modem Link is an interface for transferring data between entities on AP and modem.
  pProfileId3GPP | configured 3GPP profile identifier
  pProfileId3GPP2 | configured 3GPP2 profile identifier
  sessionId[IN\OUT] | [IN] - Passed session ID when stopping the data session [OUT] - Assigned session ID when starting a data session
  failureReason | Reason data session failed to be established See qaGobiApiTableCallEndReasons.h for Call End Reason
  failureReasonv4 | Reason v4 data session failed to be established See qaGobiApiTableCallEndReasons.h for Call End Reason
  failureReasonv6 | Reason v6 data session failed to be established See qaGobiApiTableCallEndReasons.h for Call End Reason
  rc4 | v4 result code See qmerrno.h
  rc6 | v6 result code See qmerrno.h
  v4sessionId | Do not modify - used for internal management of data sessions Non zero value indicates that a session is active
  v6sessionId | Do not modify - used for internal management of data sessions Non zero value indicates that a session is active
  ipfamily | 4 for an IPv4 data session 6 for an IPv6 data session 7 for an IPv4v6 data session
  pAuthentication | Authentication type, it can be PAP or CHAP
  pUsername | username for authentication process
  pPassword | password for authentication process
  verbFailReasonType | Parameter describing type of verbose failure reason See qaGobiApiTableCallEndReasons.h for Call End Reason Type
  verbFailReason | Verbose reason explaining why call failed. Depends on verbFailReasonType parameter See qaGobiApiTableCallEndReasons.h for Call End Reason

## Field Documentation

BOOL ssdatasession_params::action

ULONG ssdatasession_params::failureReason

ULONG ssdatasession_params::failureReasonv4

ULONG ssdatasession_params::failureReasonv6

BYTE ssdatasession_params::instanceId

BYTE ssdatasession_params::ipfamily

ULONG* ssdatasession_params::pAuthentication

CHAR* ssdatasession_params::pPassword

ULONG* ssdatasession_params::pProfileId3GPP

ULONG* ssdatasession_params::pProfileId3GPP2

ULONG* ssdatasession_params::pTechnology

CHAR* ssdatasession_params::pUsername

ULONG ssdatasession_params::rcv4

ULONG ssdatasession_params::rcv6

ULONG ssdatasession_params::sessionId

ULONG ssdatasession_params::v4sessionId

ULONG ssdatasession_params::v6sessionId

ULONG ssdatasession_params::verbFailReason

ULONG ssdatasession_params::verbFailReasonType